Orxonox: orxonox::PlayerManager Class Reference

# orxonox::PlayerManager Class Reference

`#include <src/orxonox/PlayerManager.h>`

Inheritance diagram for orxonox::PlayerManager:

List of all members.

## Public Member Functions

PlayerInfo * | getClient (unsigned int clientID) const
const std::map< unsigned int, PlayerInfo * > & | getClients () const
| PlayerManager ()
virtual | ~PlayerManager ()

## Static Public Member Functions

static PlayerManager & | getInstance ()

## Private Member Functions

void | clientConnected (unsigned int clientID)
void | clientDisconnected (unsigned int clientID)

## Private Attributes

std::map< unsigned int, PlayerInfo * > | clients_

## Static Private Attributes

static PlayerManager * | singletonRef_s = 0

## Constructor & Destructor Documentation

orxonox::PlayerManager::PlayerManager | ( |  | ) |

References orxonox::ClientConnectionListener::getConnectedClients(), RegisterRootObject, and singletonRef_s.

orxonox::PlayerManager::~PlayerManager | ( |  | ) | `[virtual]`

References singletonRef_s.

## Member Function Documentation

void orxonox::PlayerManager::clientConnected | ( | unsigned int | clientID | ) | `[private, virtual]`

Implements orxonox::ClientConnectionListener.

References clients_, COUT, orxonox::LevelManager::getActiveLevel(), orxonox::LevelManager::getInstance(), orxonox::LevelManager::getInstancePtr(), orxonox::GameMode::isMaster(), orxonox::Level::playerEntered(), and orxonox::HumanPlayer::setClientID().

void orxonox::PlayerManager::clientDisconnected | ( | unsigned int | clientID | ) | `[private, virtual]`

Implements orxonox::ClientConnectionListener.

References clients_, COUT, orxonox::LevelManager::getActiveLevel(), orxonox::LevelManager::getInstance(), orxonox::LevelManager::getInstancePtr(), orxonox::GameMode::isMaster(), and orxonox::Level::playerLeft().

PlayerInfo * orxonox::PlayerManager::getClient | ( | unsigned int | clientID | ) | const

References clients_, and orxonox::GameMode::isMaster().

Referenced by orxonox::ChatOverlay::incomingChat().

const std::map<unsigned int, PlayerInfo*>& orxonox::PlayerManager::getClients | ( |  | ) | const`[inline]`

static PlayerManager& orxonox::PlayerManager::getInstance | ( |  | ) | `[inline, static]`

Referenced by orxonox::ChatOverlay::incomingChat().

## Member Data Documentation

std::map<unsigned int, PlayerInfo*> orxonox::PlayerManager::clients_`[private]`

Referenced by clientConnected(), clientDisconnected(), and getClient().

PlayerManager * orxonox::PlayerManager::singletonRef_s = 0`[static, private]`

Referenced by PlayerManager(), and ~PlayerManager().

The documentation for this class was generated from the following files:

- src/orxonox/PlayerManager.h
- src/orxonox/PlayerManager.cc